RootEntitySource (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface RootEntitySource

All Superinterfaces:
  AttributeSourceContainer, EntitySource, SubclassEntityContainer

All Known Implementing Classes:
  RootEntitySourceImpl, RootEntitySourceImpl

    public interface RootEntitySource

extends EntitySource

Contract for the entity that is the root of an inheritance hierarchy.

NOTE : I think most of this could be moved to `EntityHierarchy` much like was done with `HierarchyDetails`

Method Summary
`Caching` | `getCaching()` Obtain the caching configuration for this entity.
`DiscriminatorSource` | `getDiscriminatorSource()` Obtain the source information about the discriminator attribute for single table inheritance
`EntityMode` | `getEntityMode()` Obtain the entity mode for this entity.
`IdentifierSource` | `getIdentifierSource()` Obtain source information about this entity's identifier.
`OptimisticLockStyle` | `getOptimisticLockStyle()` Obtain the optimistic locking style for this entity.
`String` | `getRowId()` Obtain the row-id name for this entity
`SingularAttributeSource` | `getVersioningAttributeSource()` Obtain the source information about the attribute used for versioning.
`String` | `getWhere()` Obtain the specified extra where condition to be applied to this entity.
`boolean` | `isExplicitPolymorphism()` Should explicit polymorphism (querying) be applied to this entity?
`boolean` | `isMutable()` Is this root entity mutable?

Methods inherited from interface org.hibernate.metamodel.source.binder.EntitySource
`getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getDiscriminatorMatchValue, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPrimaryTable, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes`

Methods inherited from interface org.hibernate.metamodel.source.binder.SubclassEntityContainer
`add, subclassEntitySources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getPath`

Method Detail

### getIdentifierSource

    IdentifierSource getIdentifierSource()

  Obtain source information about this entity's identifier.

  Returns:
    Identifier source information.

### getVersioningAttributeSource

    SingularAttributeSource getVersioningAttributeSource()

  Obtain the source information about the attribute used for versioning.

  Returns:
    the source information about the attribute used for versioning

### getDiscriminatorSource

    DiscriminatorSource getDiscriminatorSource()

  Obtain the source information about the discriminator attribute for single table inheritance

  Returns:
    the source information about the discriminator attribute for single table inheritance

### getEntityMode

    EntityMode getEntityMode()

  Obtain the entity mode for this entity.

  Returns:
    The entity mode.

### isMutable

    boolean isMutable()

  Is this root entity mutable?

  Returns:
    `true` indicates mutable; `false` non-mutable.

### isExplicitPolymorphism

    boolean isExplicitPolymorphism()

  Should explicit polymorphism (querying) be applied to this entity?

  Returns:
    `true` indicates explicit polymorphism; `false` implicit.

### getWhere

    String getWhere()

  Obtain the specified extra where condition to be applied to this entity.

  Returns:
    The extra where condition

### getRowId

    String getRowId()

  Obtain the row-id name for this entity

  Returns:
    The row-id name

### getOptimisticLockStyle

    OptimisticLockStyle getOptimisticLockStyle()

  Obtain the optimistic locking style for this entity.

  Returns:
    The optimistic locking style.

### getCaching

    Caching getCaching()

  Obtain the caching configuration for this entity.

  Returns:
    The caching configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.